<div class="data-disclosure">
  <h1 i18n="Data disclosure @@dataDisclosure">Data Disclosure</h1>

  <p i18n="Data discloure | Information about data disclosure process@@dataDisclosureProcessInfo">
    You can query all data collected about you at this point. The collection of the data takes
    place on a time-delayed basis. You will be informed about the completion via e-mail.
    Afterwards, the collected data will be available for download for a specified period of time
    and then will then be deleted automatically.
  </p>

  <button
    nz-button
    (click)="requestDataDisclosure()"
    [disabled]="isExportInProgress">
    <span
      *ngIf="isExportInProgress; else requestText"
      i18n="Ongoing data disclosure | Button text @@ongoingDataDisclosure"
    >
      Processing...
    </span>
    <ng-template
      #requestText
      i18n="Request data disclosure | Button text @@requestDataDisclosure"
    >
      Request
    </ng-template>
  </button>

  <nz-table #exportsTable [nzData]="exports">
    <thead>
      <tr>
        <th>No.</th>
        <th>Status</th>
        <th i18n="Created At | Table column header @@createdAt">Created At</th>
        <th i18n="Available until @@availableUntil">Available until</th>
        <th i18n="Actions @@actions">Actions</th>
      </tr>
    </thead>

    <tbody>
      <tr *ngFor="let element of exportsTable.data; index as idx; count as cnt;">
        <td>{{ cnt - idx }}</td>
        <td>
          <nz-tag
            *ngIf="!element.status"
            i18n="Ongoing data disclosure | Button text @@ongoing"
          >
            Processing...
          </nz-tag>
          <nz-tag *ngIf="element.status">
            {{ element.status }}
          </nz-tag>
        </td>
        <td>
          {{ element.created | date: 'short' }}
        </td>
        <td>
          {{ element.expires | date: 'short' }}
        </td>
        <td>
          <div class="action-buttons" *ngIf="element.status">
            <button
              nz-button
              nzShape="circle"
              *ngIf="element.status === 'success'"
              (click)="downloadZip(element.id.toString())">
              <fa-icon [icon]="faDownload"></fa-icon>
            </button>
            <button nz-button nzShape="circle" (click)="onDeleteClick(element.id)">
              <fa-icon [icon]="faTrash"></fa-icon>
            </button>
          </div>
        </td>
      </tr>
    </tbody>

  </nz-table>
</div>
